Fulfillment & ShippingCustomizations
Update shipping customization
Replaces the customization's method, conditions and visibility, and returns it.
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://api.ecomiq.pe/api/v1/shipping/customizations/7204558912004321806" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "baseLanguage": "Envío estándar", "translations": { "key": { "displayName": "Envío estándar" } }, "shippingMethodId": "7204558912004325207", "name": "Envío estándar", "priority": 1, "isActive": true, "hideInCheckout": false, "displayName": "Envío estándar" }'{ "id": "7204558912004321806", "storeId": "7204558912004327977", "shippingMethodId": "7204558912004325207", "name": "Envío estándar", "priority": 1, "isActive": true, "hideInCheckout": false, "displayName": "Envío estándar", "sortOrder": 1, "sellerId": "7204558912004323447", "shippingProfileId": "7204558912004329819", "minOrderAmount": 178, "maxOrderAmount": 178, "minWeight": 0.3, "maxWeight": 0.3, "availableDays": [ "monday" ], "startTime": "09:00:00", "endTime": "09:00:00", "postalCodes": [ "15074" ], "createdOn": "2026-09-28T15:30:00Z", "updatedOn": "2026-09-28T15:30:00Z", "baseLanguage": "Envío estándar", "translations": { "key": { "displayName": "Envío estándar" } }}